## autoclass 3.3.6.dfsg.1

=== debian/changelog ===
autoclass (3.3.6.dfsg.1-3) unstable; urgency=medium

  * QA upload.
  * Update to debhelper-compat 13 and dh. (Closes: #1011405, #902164)
  * Update to source format "3.0 (quilt)". (Closes: #1007467)
  * Rename debian/tests to debian/debian-tests.
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/control: Update Standards-Version to 4.6.1.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sat, 21 May 2022 19:27:25 -0700

autoclass (3.3.6.dfsg.1-2) unstable; urgency=medium

  * QA upload.
  * Update Homepage. (Closes: #652867)

 -- Adrian Bunk <bunk@debian.org>  Sun, 28 Feb 2021 12:29:53 +0200

autoclass (3.3.6.dfsg.1-1) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA group
  * Remove sourceless PostScript files
    * Add comment to debian/copyright
    * Drop debian/autoclass.doc-base.autoclass-theory and
      debian/autoclass.doc-base.autoclass-results
  * Drop build-depends on gs-common, as we don't build the PDFs anymore
    (Closes: #614525)
  * Introduce recommended build-arch: and build-indep: targets in
    debian/rules
  * Bump standards to 3.9.2 (no further changes needed)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 07 Dec 2011 10:36:07 +0100

autoclass (3.3.6-1) unstable; urgency=low

  * New upstream release

  * debian/control: Add dependency on ${misc:Depends}. Bump policy level
    to 3.8.4 (no changes needed).  Update link to home page.

  * debian/rules: call dh_prep instead of deprecated dh_clean -k.  Copy
    all the import-* files to the /usr/share/doc/autoclass/examples.

  * debian/compat: Bump debhelper compatibility version to 7.

  * debian/README.sample: Also run with -reports.

  * debian/simple.README: adjust awk script for new output format, which
    spreads info on each variable across two lines.

 -- James R. Van Zandt <jrv@debian.org>  Sun, 07 Feb 2010 10:52:08 -0500

autoclass (3.3.4-7.1) unstable; urgency=low

  * eliminate segfault in import example (Closes:Bug#554785)

 -- Tim Retout <tim@retout.co.uk>  Thu, 31 Dec 2009 18:33:11 +0000

autoclass (3.3.4-7) unstable; urgency=low

  * *.doc-base*: Move documentation to section Science/Data Analysis to
    conform with revised Debian Menu Policy.

  * debian/dirs: don't package empty /usr/sbin

  * debian/rules: handle DEB_BUILD_OPTIONS flag "parallel"

  * debian/autoclass.1: fix capitalization of bogus macro ".pp" and change
    line breaks so file names ".search" and ".s-params" are not
    interpreted as roff macros.

  * debian/control: Add Homepage field.  Bump policy level to 3.8.0.

 -- James R. Van Zandt <jrv@debian.org>  Thu, 14 Aug 2008 22:07:47 -0400

autoclass (3.3.4-6) unstable; urgency=low

  * prog/utils.c: use O_NONBLOCK rather than O_NDELAY to enable building
    on GNU/kFreeBSD (thanks to Cyril Brulebois
    <cyril.brulebois@enst-bretagne.fr>, closes:Bug#413860)
  * debian/autoclass.1: escape quotes (thanks to "Nicolas François"
    <nicolas.francois@centraliens.net>, closes:Bug#349817)
  * debian/control: bump Debian policy level to 3.7.2 (no changes needed)

 -- James R. Van Zandt <jrv@debian.org>  Wed,  4 Apr 2007 19:56:58 -0400

autoclass (3.3.4-5) unstable; urgency=low

  * debian/autoclass.1: fix manpage formatting errors, thanks to Nicolas
    =?UTF-8?Q?Fran=C3=A7ois?= <nicolas.francois@centraliens.net>
    (fixes:Bug#349817)

 -- James R. Van Zandt <jrv@debian.org>  Fri, 27 Jan 2006 20:15:56 -0500

autoclass (3.3.4-4) unstable; urgency=low

  * debian/control: add gs-common to Build-Depends

 -- James R. Van Zandt <jrv@debian.org>  Sat, 24 Sep 2005 22:40:20 -0400

autoclass (3.3.4-3) unstable; urgency=low

  * debian/control: put in math-optional, to match overrides

 -- James R. Van Zandt <jrv@debian.org>  Sat, 24 Sep 2005 20:08:06 -0400

autoclass (3.3.4-2) unstable; urgency=low

  * debian/control: policy version 3.6.2
  * build and install PDF rather than PostScript documentation.  Register
    documentation in section Apps/Math rather than Math
    (closes:Bug#329961).
  * intf-reports.c: split writes to influence_report_fp into more calls to
    fprintf, so we don't exceed the ISO C89 guaranteed supported string
    length.
  * debian/compat, debian/control: debhelper compat level 4
  * debian/rules: call dh_installman rather than dh_installmanpages,
    install files into debian/autoclass rather than debian/tmp.

 -- James R. Van Zandt <jrv@debian.org>  Sat, 24 Sep 2005 19:29:55 -0400

autoclass (3.3.4-1) unstable; urgency=low

  * New upstream release (closes:Bug#262242)

  * debian/rules: don't copy sample/imports-85c.search into
    /usr/share/doc/autoclass/examples, because it's no longer included in
    the upstream sources.  (It's generated when the example is executed.)
    Don't bother running obsolete program dh_suidregister.  Update to
    policy 3.6.1.

  * autoclass.doc-base.autoclass-{results,theory}: PostScript
    documentation given clearer document IDs and moved from
    Apps/Programming to Math.

  * debian/{{pre,post}{inst,rm},watch}.ex: delete unused examples

 -- James R. Van Zandt <jrv@debian.org>  Sun, 19 Sep 2004 20:42:29 -0400

autoclass (3.3.3-5) unstable; urgency=low

  * debian/autoclass.1: Fix typo "were" -> "where".
  * new maintainer email
  * io-results-bin.c:597: update first_clsf->models (thanks to Nick
    Mitchell <mitchell@cs.ucsd.edu>, fixes:Bug#65522)

 -- James R. Van Zandt <jrv@debian.org>  Sun,  9 Dec 2001 14:31:46 -0500

autoclass (3.3.3-4) unstable; urgency=low

  * debian/control: move build-depends line to source section.  Update to
    policy version 3.5.2.
  * debian/rules: support DEB_BUILD_OPTIONS

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Tue, 22 May 2001 21:43:17 -0400

autoclass (3.3.3-3) unstable; urgency=low

  * simple.README: Check for writable directory.  Display 95% contours of
    classes found by AutoClass.
  * simple.c, simple.db2: increase y values by 4 to remove the symmetry.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Wed, 10 Jan 2001 22:54:56 -0500



## autoclass 3.3.6.dfsg.2

=== prog/Makefile ===
### AUTOCLASS C MAKE FILE FOR  Linux version 1.2.10, GCC version 2.5.8, 
###                             and libc version 4.6.25.

### WHEN ADDING FILES HERE, ALSO ADD THEM TO LOAD-AC ###

## THE FIRST CHARACTER OF EACH commandList must be tab
#  targetList:   dependencyList
#	commandList
## evaluate (setq-default indent-tabs-mode t)

# optimize & debug - stay with IEEE compliance
CFLAGS = $(OSFLAGS) -ansi -pedantic -Wall -O2 -fno-fast-math -g

CC = gcc

DEPEND =

SRCS =	globals.c init.c io-read-data.c io-read-model.c io-results.c \
        io-results-bin.c model-expander-3.c matrix-utilities.c \
	model-single-multinomial.c model-single-normal-cm.c \
	model-single-normal-cn.c model-multi-normal-cn.c \
	model-transforms.c model-update.c search-basic.c \
        search-control.c search-control-2.c \
	search-converge.c struct-class.c struct-clsf.c \
	statistics.c predictions.c \
	struct-data.c struct-matrix.c struct-model.c \
        utils.c utils-math.c \
        intf-reports.c intf-extensions.c intf-influence-values.c \
        intf-sigma-contours.c \
	prints.c getparams.c autoclass.c

OBJS = $(SRCS:.c=.o)

autoclass:	$(OBJS) 
	$(CC) $(CFLAGS) -o autoclass $(OBJS) -lm -lc

%.o : %.c 
	$(CC) $(CFLAGS) -c $< -o $@

depend: $(SRCS)

# IF YOU PUT ANYTHING HERE IT WILL GO AWAY

=== debian/changelog ===
autoclass (3.3.6.dfsg.2-3) unstable; urgency=medium

  * QA upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096348)

 -- Adrian Bunk <bunk@debian.org>  Fri, 19 Sep 2025 22:43:58 +0300

autoclass (3.3.6.dfsg.2-2) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated vcs in d/control to Salsa.
  * Updated Standards-Version from 4.6.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * debian/copyright: use spaces rather than tabs to
    start continuation lines.
  * Fixed rebuildability and enabled hardening (Closes: #1043978).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 13 Nov 2024 08:09:34 +0100

autoclass (3.3.6.dfsg.2-1) unstable; urgency=medium

  * QA upload.
  * Repack to get rid of fcntlcom-ac.h again.
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Mon, 16 Jan 2023 19:54:41 +0100

=== debian/control ===
Source: autoclass
Section: math
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.7.0
Homepage: http://ti.arc.nasa.gov/tech/rse/synthesis-projects-applications/autoclass/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/autoclass
Vcs-Git: https://salsa.debian.org/debian/autoclass.git

Package: autoclass
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: automatic classification or clustering
 AutoClass solves the problem of automatic discovery of classes in data
 (sometimes called clustering, or unsupervised learning), as distinct
 from the generation of class descriptions from labeled examples
 (called supervised learning).  It aims to discover the "natural"
 classes in the data.  AutoClass is applicable to observations of
 things that can be described by a set of attributes, without referring
 to other things.  The data values corresponding to each attribute are
 limited to be either numbers or the elements of a fixed set of
 symbols.  With numeric data, a measurement error must be provided.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-format
export DEB_CFLAGS_MAINT_APPEND = -std=gnu17

DOC= doc/checkpoint-c.text			\
  doc/classes-c.text				\
  doc/interpretation-c.text			\
  doc/introduction-c.text			\
  doc/models-c.text				\
  doc/prediction-c.text				\
  doc/preparation-c.text			\
  doc/reports-c.text				\
  doc/search-c.text				\
  read-me.text

EXAMPLES= sample/imports-*			\
  sample/read.me.c				\
  sample/screenc.text 				\
  sample/scriptc.text				\
  debian/README.sample				\
  debian/simple.README				\
  debian/simple.c				\
  debian/simple.db2				\
  debian/simple.hd2				\
  debian/simple.model				\
  debian/simple.r-params			\
  debian/simple.s-params

%:
	dh $@ --no-parallel

override_dh_auto_build:
	dh_auto_build --sourcedir=prog -- CFLAGS="$(CFLAGS)"

	# assemble changelog in reverse chronological order
	-rm changelog
	for a in 9 8 7 6 5 4 3 2 1; do				\
	  for b in 9 8 7 6 5 4 3 2 1 0; do			\
	    for c in 9 8 7 6 5 4 3 2 1; do			\
	      if [ -f version-$$a-$$b-$$c.text ]; then		\
		cat version-$$a-$$b-$$c.text >>changelog; fi;	\
	    done;						\
	  if [ -f version-$$a-$$b.text ]; then			\
	    cat version-$$a-$$b.text >>changelog; fi;		\
	  done;							\
	done
override_dh_auto_clean:
	dh_auto_clean --sourcedir=prog

override_dh_auto_install:
	dh_auto_install --sourcedir=prog
	cp prog/autoclass debian/autoclass/usr/bin/autoclass

override_dh_installdocs:
	dh_installdocs $(DOC)

override_dh_installexamples:
	dh_installexamples $(EXAMPLES)

override_dh_installman:
	dh_installman debian/autoclass.1
